Retrieve Package Deploy Results
After Vault has finished processing the deploy job, use this request to retrieve the results of the completed deploy.
GET
/api/{version}/vobject/vault_package__v/{package_id}/actions/deploy/resultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
package_id | The id field value of the vault_package__v object record used for deploy. See Deploy Package above. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.1/vobject/vault_package__v/0PI000000000101/actions/deploy/resultsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseDetails": {
"warnings": 0,
"total_components": 13,
"deployed_components": 1,
"skipped_components": 0,
"error_components": 1,
"deployment_status__v": "error__v",
"deployment_log": [
{
"filename": "PKG-0071-23301.log",
"url": "https://myvault.veevavault.com/ui/proxy/getAttachmentsVersionFile/vault_package__v/0PI000000000101/35/1",
"created_date__v": "2016-09-28 23:54:56.536"
}
]
},
"package_components": [
{
"external_id__v": null,
"component_type__v": "Object",
"checksum__v": "7b66e3aeb8b4482864a920ce17f2d61a",
"step__v": "00010",
"name__v": "Object.perf_stats__v",
"id": "0VP000000000101",
"component_name__v": "perf_stats__v",
"deployment_status__v": "deployed__v"
},
{
"external_id__v": null,
"component_type__v": "Object",
"checksum__v": "dc08134292ddd224c8f252a6f85753eb",
"step__v": "00020",
"name__v": "Object.mlr_meeting__c",
"id": "0VP000000000102",
"component_name__v": "mlr_meeting__c",
"deployment_status__v": "error__v"
},
{
"external_id__v": null,
"component_type__v": "Object",
"checksum__v": "9a7a9e6fbb4689fc1d171eb80c2add4b",
"step__v": "00030",
"name__v": "Object.pm_contact__v",
"id": "0VP000000000103",
"component_name__v": "pm_contact__v",
"deployment_status__v": "verified__v"
}
]
}Response Details
Section link for Response DetailsLearn more about the possible response values for deployment_status__v in Vault Help